/***************************************************************************
 *   copyright       : (C) 2006-2009 by Pascal Brachet                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "algowebview.h"

#include <QPrintDialog>
#include <QPrinter>
#include <QContextMenuEvent>
#include <QMenu>
#include <QAction>
#include <QWebFrame>
#include <QDebug>

AlgoWebView::AlgoWebView(QWidget *parent)
    : QWebView(parent)
{

}

void AlgoWebView::contextMenuEvent(QContextMenuEvent *event)
{
QMenu *menu = new QMenu(this);
menu->addAction(QString::fromUtf8("Imprimer"), this, SLOT(imprimer()));  
menu->exec(mapToGlobal(event->pos()));
delete menu;
}

void AlgoWebView::imprimer()
{
QPrinter printer;
QPrintDialog *dlg = new QPrintDialog(&printer,this);
if (dlg->exec() != QDialog::Accepted) return;
page()->mainFrame()->print(&printer);
}
